/*
* Copyright © 2018 - 2019 Virtru Corporation
*
* SPDX - License - Identifier: MIT
*
*/
//
//  TDF3 SDK
//
//  Created by Sujan Reddy on 2019/03/25.
//

#ifndef VIRTRU_CONSTANTS_H
#define VIRTRU_CONSTANTS_H

namespace virtru {

    enum class KeyType {
        split /// default
    };

    enum class CipherType {
        Aes256GCM /// default
        ,Aes265CBC
    };

    enum class IntegrityAlgorithm {
        HS256  /// default
        ,GMAC
    };

    enum class KeyAccessType {
        Remote /// default
        ,RemoteWrapped /// CKS
        ,Wrapped /// The key is embedded in the TDF
    };

    enum class Protocol {
        Zip  /// TDF format is zip
        ,Html  /// Default format is HTML
    };

    /// Defines a log level.
    enum class LogLevel {
        Trace  /// Most detailed output
        ,Debug
        ,Info
        ,Warn
        ,Error
        ,Fatal  /// Least detailed output
    };

    enum class Status {
        Success  /// Operation completed successfully
        ,Failure   /// Operation did not complete successfully
    };
}

#endif //VIRTRU_CONSTANTS_H
